## unicycler 0.4.8%2Bdfsg

=== Makefile ===
# This makefile will build the C++ components of Unicycler.

# Example commands:
#   make (build in release mode)
#   make debug (build in debug mode)
#   make clean (deletes *.o files, which aren't required to run the aligner)
#   make distclean (deletes *.o files and the *.so file, which is required to run the aligner)
#   make CXX=g++-5 (build with a particular compiler)
#   make CXXFLAGS="-Werror -g3" (build with particular compiler flags)


# Determine the platform
ifeq ($(shell uname), Darwin)
  PLATFORM = Mac
else
  PLATFORM = Linux
endif
$(info Platform: $(PLATFORM))


# Determine the compiler and version
COMPILER_HELP := $(shell $(CXX) --help | head -n 1)
ifneq (,$(findstring clang,$(COMPILER_HELP)))
    COMPILER = clang
else ifneq (,$(findstring g++,$(COMPILER_HELP)))
    COMPILER = g++
else ifneq (,$(findstring Intel,$(COMPILER_HELP)))
    COMPILER = icpc
else
    COMPILER = unknown
endif
ifeq ($(COMPILER),clang)
  COMPILER_VERSION := $(shell $(CXX) --version | grep version | grep -o -m 1 "[0-9]\+\.[0-9]\+\.*[0-9]*" | head -n 1)
else
  COMPILER_VERSION := $(shell $(CXX) -dumpfullversion 2> /dev/null)
  ifeq ($(COMPILER_VERSION),)
      $(info Falling back to -dumpversion as compiler did not support -dumpfullversion)
      COMPILER_VERSION := $(shell $(CXX) -dumpversion)
  endif
endif
COMPILER_VERSION_NUMBER := $(shell echo $(COMPILER_VERSION) | sed -e 's/\.\([0-9][0-9]\)/\1/g' -e 's/\.\([0-9]\)/0\1/g' -e 's/^[0-9]\{3,4\}$$/&00/')
$(info Compiler: $(COMPILER) $(COMPILER_VERSION))


# Clang versions earlier than 3.5 won't work with Seqan.
ifeq ($(COMPILER),clang)
  CLANG_340_OR_MORE := $(shell expr $(COMPILER_VERSION_NUMBER) \>= 30500)
  ifeq ($(CLANG_340_OR_MORE),0)
    $(error Unicycler requires Clang 3.5 or greater)
  endif
endif


# GCC versions earlier than 4.9.1 won't work with Seqan.
ifeq ($(COMPILER),g++)
  GCC_491_OR_MORE := $(shell expr $(COMPILER_VERSION_NUMBER) \>= 40901)
  ifeq ($(GCC_491_OR_MORE),0)
    $(error Unicycler requires GCC version 4.9.1 or greater)
  endif
endif


# CXXFLAGS can be overridden by the user.
CXXFLAGS    ?= -Wall -Wextra -pedantic -mtune=native


# These flags are required for the build to work.
FLAGS        = -std=c++14 -Iunicycler/include -fPIC
LDFLAGS      = -shared -lz


# Platform-specific stuff (for Seqan)
ifeq ($(PLATFORM), Linux)
  FLAGS     += -lrt -lpthread
endif


# Different debug/optimisation levels for debug/release builds.
DEBUGFLAGS   = -DSEQAN_ENABLE_DEBUG=1 -g
RELEASEFLAGS = -O3 -DNDEBUG


TARGET       = unicycler/cpp_functions.so
SHELL        = /bin/sh
SOURCES      = $(shell find unicycler -name "*.cpp")
HEADERS      = $(shell find unicycler -name "*.h")
OBJECTS      = $(SOURCES:.cpp=.o)


# Linux needs '-soname' while Mac needs '-install_name'
ifeq ($(PLATFORM), Mac)
  SONAME       = -install_name
else  # Linux
  SONAME       = -soname
endif


.PHONY: release
release: FLAGS+=$(RELEASEFLAGS)
release: $(TARGET)


.PHONY: debug
debug: FLAGS+=$(DEBUGFLAGS)
debug: $(TARGET)


$(TARGET): $(OBJECTS)
	$(CXX) $(FLAGS) $(CXXFLAGS) -Wl,$(SONAME),$(TARGET) -o $(TARGET) $(OBJECTS) $(LDFLAGS)

clean:
	$(RM) $(OBJECTS)

distclean: clean
	$(RM) $(TARGET)

%.o: %.cpp $(HEADERS)
	$(CXX) $(FLAGS) $(CXXFLAGS) -c -o $@ $<

## unicycler 0.4.7+dfsg

=== debian/changelog ===
unicycler (0.4.7+dfsg-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Add manpages

  [ Liubov Chuprikova ]
  * Add autopkgtest
  * Split data files and docs in unicycler-data

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Wed, 24 Oct 2018 09:04:28 +0200

unicycler (0.4.7+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #908599)

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Thu, 27 Sep 2018 15:46:18 +0200

=== debian/control ===
Source: unicycler
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Liubov Chuprikova <chuprikovalv@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-python,
               python3-all,
               python3-setuptools,
               default-jdk,
               bowtie2,
               ncbi-blast+,
               pilon,
               racon,
               samtools,
               spades,
               libseqan2-dev,
               zlib1g-dev
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/med-team/unicycler
Vcs-Git: https://salsa.debian.org/med-team/unicycler.git
Homepage: https://github.com/rrwick/Unicycler

Package: unicycler
Architecture: any
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python3-setuptools,
         default-jre,
         bowtie2,
         ncbi-blast+,
         pilon,
         racon,
         samtools,
         spades
Recommends: unicycler-data
Description: hybrid assembly pipeline for bacterial genomes
 Unicycler is an assembly pipeline for bacterial genomes. It can assemble
 Illumina-only read sets where it functions as a SPAdes-optimiser. It can
 also assembly long-read-only sets (PacBio or Nanopore) where it runs a
 miniasm+Racon pipeline. For the best possible assemblies, give it both
 Illumina reads and long reads, and it will conduct a hybrid assembly.

Package: unicycler-data
Architecture: all
Depends: ${misc:Depends}
Description: hybrid assembly pipeline for bacterial genomes (data package)
 Unicycler is an assembly pipeline for bacterial genomes. It can assemble
 Illumina-only read sets where it functions as a SPAdes-optimiser. It can
 also assembly long-read-only sets (PacBio or Nanopore) where it runs a
 miniasm+Racon pipeline. For the best possible assemblies, give it both
 Illumina reads and long reads, and it will conduct a hybrid assembly.
 .
 This package contains architecture independent data for unicycler.

## unicycler 0.4.8%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,22 @@
            Liubov Chuprikova <chuprikovalv@gmail.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-setuptools,
                default-jdk,
+               bcftools,
                bowtie2,
+               miniasm,
                ncbi-blast+,
                pilon,
                racon,
                samtools,
-               spades,
+               spades (>= 3.13.1),
                libseqan2-dev,
                zlib1g-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/med-team/unicycler
 Vcs-Git: https://salsa.debian.org/med-team/unicycler.git
 Homepage: https://github.com/rrwick/Unicycler
@@ -29,12 +31,14 @@
          ${misc:Depends},
          python3-setuptools,
          default-jre,
+         bcftools,
          bowtie2,
+         miniasm,
          ncbi-blast+,
          pilon,
          racon,
          samtools,
-         spades
+         spades (>= 3.13.1)
 Recommends: unicycler-data
 Description: hybrid assembly pipeline for bacterial genomes
  Unicycler is an assembly pipeline for bacterial genomes. It can assemble
@@ -45,6 +49,7 @@
 
 Package: unicycler-data
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: hybrid assembly pipeline for bacterial genomes (data package)
  Unicycler is an assembly pipeline for bacterial genomes. It can assemble

## unicycler 0.4.8+dfsg

=== debian/changelog ===
unicycler (0.4.8+dfsg-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:01:36 +0100

unicycler (0.4.8+dfsg-2) unstable; urgency=medium

  * Autopkgtest: Restrictions: skip-not-installable
    Closes: #945372
  * Remove patches bowtie.patch that are missing from
    debian/patches/series.
  * Set upstream metadata fields: Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 04 Dec 2019 09:22:18 +0100

unicycler (0.4.8+dfsg-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Inherit and use LDFLAGS and CPPFLAGS
  * Mark unicycler-data as Multi-Arch: foreign, as recommended by the
    Multiarch hinter.

  [ Andreas Tille ]
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Set upstream metadata fields: Repository.
  * (Build-)Depends: bcftools, miniasm
  * Versioned (Build-)Depends of Python3 enabled spades

 -- Andreas Tille <tille@debian.org>  Mon, 18 Nov 2019 16:48:24 +0100

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, @builddeps@
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://github.com/rrwick/Unicycler/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## unicycler 0.5.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -4,25 +4,26 @@
            Liubov Chuprikova <chuprikovalv@gmail.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
-               default-jdk,
+               default-jdk <!nocheck>,
                bcftools,
-               bowtie2,
+               bowtie2 <!nocheck>,
                miniasm,
-               ncbi-blast+,
-               pilon,
+               ncbi-blast+ <!nocheck>,
+               pilon <!nocheck>,
                racon,
-               samtools,
-               spades (>= 3.13.1),
+               samtools <!nocheck>,
+               spades (>= 3.14),
                libseqan2-dev,
                zlib1g-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/unicycler
 Vcs-Git: https://salsa.debian.org/med-team/unicycler.git
 Homepage: https://github.com/rrwick/Unicycler
+Rules-Requires-Root: no
 
 Package: unicycler
 Architecture: any
@@ -38,7 +39,7 @@
          pilon,
          racon,
          samtools,
-         spades (>= 3.13.1)
+         spades (>= 3.14)
 Recommends: unicycler-data
 Description: hybrid assembly pipeline for bacterial genomes
  Unicycler is an assembly pipeline for bacterial genomes. It can assemble

## unicycler 0.5.0+dfsg

=== debian/changelog ===
unicycler (0.5.0+dfsg-1) unstable; urgency=medium

  [ Nilesh Patra ]
  * d/watch: Fix watch regex
  * New upstream version

  [ Andreas Tille ]
  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Adjust versioned dependency spades (>= 3.14)

 -- Andreas Tille <tille@debian.org>  Tue, 06 Dec 2022 16:17:17 +0100

## unicycler 0.5.1+dfsg

=== Makefile ===
--- 
+++ 
@@ -24,6 +24,8 @@
     COMPILER = clang
 else ifneq (,$(findstring g++,$(COMPILER_HELP)))
     COMPILER = g++
+else ifneq (,$(findstring c++,$(COMPILER_HELP)))
+    COMPILER = c++
 else ifneq (,$(findstring Intel,$(COMPILER_HELP)))
     COMPILER = icpc
 else

=== debian/changelog ===
unicycler (0.5.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Remove python3-setuptools from runtime deps

  [ Étienne Mollier ]
  * leftover-syntax-warnings.patch: declare forwarding upstream.

 -- Alexandre Detiste <tchet@debian.org>  Wed, 05 Feb 2025 21:27:11 +0100

unicycler (0.5.1+dfsg-1.1) unstable; urgency=medium

  * Team upload.

  [ Michael R. Crusoe ]
  * salsa ci: skip i386

  [ Étienne Mollier ]
  * spades.patch: unfuzz hunk with offset.
  * d/clean: new: remove leftover .pybuild and egg info. (Closes: #1048635)
  * leftover-syntax-warnings.patch: fix remaining SyntaxWarnings.
    (Closes: #1087157)
  * d/patches/*: normalize last-update timestamp.

 -- Étienne Mollier <emollier@debian.org>  Sun, 08 Dec 2024 22:50:24 +0100

unicycler (0.5.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Forwarded one patch upstream, marked the rest as not needing forwarding.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 25 Nov 2024 13:55:49 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-setuptools,
                default-jdk <!nocheck>,
@@ -19,7 +19,7 @@
                spades (>= 3.14),
                libseqan2-dev,
                zlib1g-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/unicycler
 Vcs-Git: https://salsa.debian.org/med-team/unicycler.git
 Homepage: https://github.com/rrwick/Unicycler
@@ -30,7 +30,6 @@
 Depends: ${python3:Depends},
          ${shlibs:Depends},
          ${misc:Depends},
-         python3-setuptools,
          default-jre,
          bcftools,
          bowtie2,

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/default.mk

export PYBUILD_NAME=unicycler

# copy all nacessary data before testing and make clean after the testing
export PYBUILD_BEFORE_TEST=cp -a unicycler-runner.py {build_dir}; \
	cp -a unicycler/cpp_functions.so {build_dir}/unicycler; \
	cp -a sample_data {build_dir}
export PYBUILD_AFTER_TEST=rm {build_dir}/unicycler-runner.py; \
	rm -r {build_dir}/sample_data; \
	rm -r {build_dir}/unicycler/__pycache__

# Set $TEMR to a known value to avoid "tput: No value for $TERM and no -T specified"
export TERM=linux

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	find . -name __pycache__ -type d | xargs rm -rf
	make distclean

override_dh_auto_build:
	make
	dh_auto_build

override_dh_auto_install:
	dh_auto_install --destdir=debian/$(PYBUILD_NAME)

override_dh_python3:
	dh_python3 --no-ext-rename

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/rrwick/Unicycler/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
